Accounts & UsersList a user's roles

List a user's roles

Lists the roles currently assigned to a user in the account.

curl -X GET "https://api.rad.security/accounts/example_string/users/example_string/roles" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "account_id": "example_string",
    "account_name": "John Doe",
    "level": "example_string",
    "name": "John Doe"
  }
]
GET
/accounts/{account_id}/users/{user_id}/roles
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Path Parameters

Responses

account_idstring
account_namestring
levelstring

Scope of the role, e.g. account or tenant

namestring

Role name, e.g. tenant-level.customer-admin